SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes | List of all members
SLNet::FilterSet Struct Reference

`#include <slikenet/MessageFilter.h>`

## Public Attributes

bool | banOnFilterTimeExceed
bool | kickOnDisallowedMessage
bool | banOnDisallowedMessage
SLNet::TimeMS | disallowedMessageBanTimeMS
SLNet::TimeMS | timeExceedBanTimeMS
SLNet::TimeMS | maxMemberTimeMS
void(* | invalidMessageCallback )(RakPeerInterface *peer, AddressOrGUID systemAddress, int filterSetID, void *userData, unsigned char messageID)
void * | disallowedCallbackUserData
void(* | timeoutCallback )(RakPeerInterface *peer, AddressOrGUID systemAddress, int filterSetID, void *userData)
void * | timeoutUserData
int | filterSetID
bool | allowedIDs [MESSAGE_FILTER_MAX_MESSAGE_ID]
DataStructures::OrderedList < SLNet::RakString, SLNet::RakString > | allowedRPC4

## Detailed Description

Definition at line 44 of file MessageFilter.h.

## Member Data Documentation

bool SLNet::FilterSet::allowedIDs[MESSAGE_FILTER_MAX_MESSAGE_ID]

Definition at line 57 of file MessageFilter.h.

DataStructures::OrderedList<SLNet::RakString, SLNet::RakString> SLNet::FilterSet::allowedRPC4

Definition at line 58 of file MessageFilter.h.

bool SLNet::FilterSet::banOnDisallowedMessage

Definition at line 48 of file MessageFilter.h.

bool SLNet::FilterSet::banOnFilterTimeExceed

Definition at line 46 of file MessageFilter.h.

void* SLNet::FilterSet::disallowedCallbackUserData

Definition at line 53 of file MessageFilter.h.

SLNet::TimeMS SLNet::FilterSet::disallowedMessageBanTimeMS

Definition at line 49 of file MessageFilter.h.

int SLNet::FilterSet::filterSetID

Definition at line 56 of file MessageFilter.h.

void(* SLNet::FilterSet::invalidMessageCallback)(RakPeerInterface *peer, AddressOrGUID systemAddress, int filterSetID, void *userData, unsigned char messageID)

Definition at line 52 of file MessageFilter.h.

bool SLNet::FilterSet::kickOnDisallowedMessage

Definition at line 47 of file MessageFilter.h.

SLNet::TimeMS SLNet::FilterSet::maxMemberTimeMS

Definition at line 51 of file MessageFilter.h.

SLNet::TimeMS SLNet::FilterSet::timeExceedBanTimeMS

Definition at line 50 of file MessageFilter.h.

void(* SLNet::FilterSet::timeoutCallback)(RakPeerInterface *peer, AddressOrGUID systemAddress, int filterSetID, void *userData)

Definition at line 54 of file MessageFilter.h.

void* SLNet::FilterSet::timeoutUserData

Definition at line 55 of file MessageFilter.h.

The documentation for this struct was generated from the following file:

- Source/include/slikenet/MessageFilter.h